
#include <math.h>
#include "Functions.h"

// Function definitions

// Add function
double add( double num1, double num2 )
{
	return num1 + num2;
}


// Subtract function
double subtract( double num1, double num2 )
{
	return num1 - num2;
}


// Multiply function
double multiply( double num1, double num2 )
{
	return num1 * num2;
}


// Divide function
double divide( double num1, double num2 )
{
	if( fabs(num2) < 1e-12 ) return 0.0;
	else return num1 / num2;
}


